Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.ebxml._3._0.rim
Interface SubscriptionType

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, IdentifiableType, org.eclipse.emf.common.notify.Notifier, RegistryObjectType

All Known Implementing Classes:
  SubscriptionTypeImpl

    public interface SubscriptionType

extends RegistryObjectType

A representation of the model object 'Subscription Type'. A Subscription for specified Events in an ebXML V3+ registry.

The following features are supported:

- `Action Group`
- `Action`
- `End Time`
- `Notification Interval`
- `Selector`
- `Start Time`

See Also:
  `RimPackage.getSubscriptionType()`

Method Summary
`org.eclipse.emf.common.util.EList` | `getAction()` Returns the value of the 'Action' containment reference list.
`org.eclipse.emf.ecore.util.FeatureMap` | `getActionGroup()` Returns the value of the 'Action Group' attribute list.
`java.lang.Object` | `getEndTime()` Returns the value of the 'End Time' attribute.
`java.lang.Object` | `getNotificationInterval()` Returns the value of the 'Notification Interval' attribute.
`java.lang.String` | `getSelector()` Returns the value of the 'Selector' attribute.
`java.lang.Object` | `getStartTime()` Returns the value of the 'Start Time' attribute.
`void` | `setEndTime(java.lang.Object value)` Sets the value of the '`End Time`' attribute.
`void` | `setNotificationInterval(java.lang.Object value)` Sets the value of the '`Notification Interval`' attribute.
`void` | `setSelector(java.lang.String value)` Sets the value of the '`Selector`' attribute.
`void` | `setStartTime(java.lang.Object value)` Sets the value of the '`Start Time`' attribute.

Methods inherited from interface org.eclipse.ohf.ihe.common.ebxml._3._0.rim.RegistryObjectType
`getClassification, getDescription, getExternalIdentifier, getLid, getName, getObjectType, getStatus, getVersionInfo, setDescription, setLid, setName, setObjectType, setStatus, setVersionInfo`

Methods inherited from interface org.eclipse.ohf.ihe.common.ebxml._3._0.rim.IdentifiableType
`getHome, getId, getSlot, setHome, setId`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getActionGroup

    org.eclipse.emf.ecore.util.FeatureMap getActionGroup()

  Returns the value of the 'Action Group' attribute list. The list contents are of type `FeatureMap.Entry`.

  If the meaning of the 'Action Group' attribute list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Action Group' attribute list.
  See Also:
    `RimPackage.getSubscriptionType_ActionGroup()`

### getAction

    org.eclipse.emf.common.util.EList getAction()

  Returns the value of the 'Action' containment reference list. The list contents are of type `ActionType`.

  If the meaning of the 'Action' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Action' containment reference list.
  See Also:
    `RimPackage.getSubscriptionType_Action()`

### getEndTime

    java.lang.Object getEndTime()

  Returns the value of the 'End Time' attribute.

  If the meaning of the 'End Time' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'End Time' attribute.
  See Also:
    `setEndTime(Object)`, `RimPackage.getSubscriptionType_EndTime()`

### setEndTime

    void setEndTime(java.lang.Object value)

  Sets the value of the '`End Time`' attribute.

  Parameters:
    `value` - the new value of the 'End Time' attribute.
  See Also:
    `getEndTime()`

### getNotificationInterval

    java.lang.Object getNotificationInterval()

  Returns the value of the 'Notification Interval' attribute.

  If the meaning of the 'Notification Interval' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Notification Interval' attribute.
  See Also:
    `setNotificationInterval(Object)`, `RimPackage.getSubscriptionType_NotificationInterval()`

### setNotificationInterval

    void setNotificationInterval(java.lang.Object value)

  Sets the value of the '`Notification Interval`' attribute.

  Parameters:
    `value` - the new value of the 'Notification Interval' attribute.
  See Also:
    `getNotificationInterval()`

### getSelector

    java.lang.String getSelector()

  Returns the value of the 'Selector' attribute.

  If the meaning of the 'Selector' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Selector' attribute.
  See Also:
    `setSelector(String)`, `RimPackage.getSubscriptionType_Selector()`

### setSelector

    void setSelector(java.lang.String value)

  Sets the value of the '`Selector`' attribute.

  Parameters:
    `value` - the new value of the 'Selector' attribute.
  See Also:
    `getSelector()`

### getStartTime

    java.lang.Object getStartTime()

  Returns the value of the 'Start Time' attribute.

  If the meaning of the 'Start Time' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Start Time' attribute.
  See Also:
    `setStartTime(Object)`, `RimPackage.getSubscriptionType_StartTime()`

### setStartTime

    void setStartTime(java.lang.Object value)

  Sets the value of the '`Start Time`' attribute.

  Parameters:
    `value` - the new value of the 'Start Time' attribute.
  See Also:
    `getStartTime()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD